package main

import "fmt"

func main() {
	// 基本数据类型示例
	var (
		integer int     = 42
		float   float64 = 3.14
		boolean bool    = true
		str     string  = "Hello"
	)

	// 复合类型
	var array [3]int = [3]int{1, 2, 3}
	slice := []string{"a", "b", "c"}

	fmt.Println("数据类型示例:")
	fmt.Printf("integer: %d, float: %f, boolean: %t, string: %s\n",
		integer, float, boolean, str)
	fmt.Printf("array: %v, slice: %v\n", array, slice)
}
