package main

import "fmt"

func main() {
	// 基本for循环
	fmt.Println("基本for循环:")
	for i := 0; i < 5; i++ {
		fmt.Printf("%d ", i)
	}
	fmt.Println()

	// while风格的for循环
	fmt.Println("\nwhile风格循环:")
	n := 0
	for n < 3 {
		fmt.Printf("%d ", n)
		n++
	}
	fmt.Println()

	// 无限循环
	fmt.Println("\n无限循环(按条件break):")
	count := 0
	for {
		if count > 3 {
			break
		}
		fmt.Printf("%d ", count)
		count++
	}
	fmt.Println()

	// range循环
	fmt.Println("\nrange循环:")
	nums := []int{10, 20, 30}
	for i, num := range nums {
		fmt.Printf("索引:%d 值:%d\n", i, num)
	}
}
