# Go语言学习路线图

## 基础语法
- 变量与常量
- 数据类型
- 运算符
- 流程控制
  - 条件语句
  - 循环语句
- 函数
  - 定义与调用  
  - 多返回值
  - 匿名函数
- 包管理

## 核心概念
- 指针
- 结构体
- 接口
- 错误处理
- 并发编程
  - Goroutine
  - Channel
  - sync包

## 标准库
- fmt
- os
- io
- net/http
- encoding/json
- testing

## 工具链
- go mod
- go test
- go vet
- go fmt
- 调试工具

## 进阶主题
- 反射
- 性能优化
- 内存管理
- 网络编程
- 数据库操作

## 实战项目
1. 命令行工具
2. Web服务
3. 爬虫程序
4. 微服务
5. 分布式系统